Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[gelöst]Blocker - 26 Stück....
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
Karsten1973
Apprentice
Apprentice


Joined: 17 Dec 2004
Posts: 298
Location: Berlin, Germany

PostPosted: Sun Mar 14, 2010 12:14 pm    Post subject: [gelöst]Blocker - 26 Stück.... Reply with quote

Hi,

ich brauch mal wieder eure Hilfe. Der Versuch, von KDE 4.4.0 auf 4.4.1 zu kommen erzeugt im Bereich qt zahlreiche Blocker, die ich nicht aufgelöst bekomme.

Quote:
Calculating dependencies... done!
[ebuild U ] dev-libs/nspr-4.8.4 [4.8.3-r3] USE="-debug (-ipv6%*)" 1,169 kB
[ebuild U ] app-arch/unrar-3.9.7 [3.8.5] 138 kB
[ebuild U ] media-libs/tiff-3.9.2-r1 [3.9.2] USE="cxx jpeg zlib -jbig" 0 kB
[ebuild U ] dev-libs/libgcrypt-1.4.5 [1.4.4] 1,122 kB
[ebuild U ] media-libs/x264-0.0.20100118 [0.0.20091021] USE="threads -debug -pic" 386 kB
[ebuild U ] sys-devel/automake-1.10.3 [1.10.2] 936 kB
[ebuild R ] dev-libs/apr-1.3.9 USE="urandom -doc -older-kernels-compatibility (-debug%)" 0 kB
[ebuild U ] media-gfx/splashutils-1.5.4.3-r2 [1.5.4.3] USE="gpm mng png truetype -fbcondecor -hardened" 2,082 kB
[ebuild N ] perl-core/version-0.77.02 103 kB
[ebuild U ] perl-core/ExtUtils-ParseXS-2.22.03 [2.20.0401] 40 kB
[ebuild U ] virtual/perl-ExtUtils-ParseXS-2.22.03 [2.20.0401] 0 kB
[ebuild N ] virtual/perl-version-0.77.02 0 kB
[ebuild N ] dev-perl/Net-UPnP-1.4.2 19 kB
[ebuild N ] app-arch/xz-utils-4.999.9_beta USE="nls threads -static-libs" 1,014 kB
[uninstall ] app-arch/lzma-utils-4.32.7 USE="-nocxx"
[blocks b ] app-arch/lzma-utils ("app-arch/lzma-utils" is blocking app-arch/xz-utils-4.999.9_beta)
[blocks b ] app-arch/xz-utils ("app-arch/xz-utils" is blocking app-arch/lzma-utils-4.32.7)
[ebuild U ] sys-devel/gettext-0.17-r1 [0.17] USE="acl nls openmp -doc -emacs -nocxx" 11,369 kB
[ebuild U ] sys-devel/binutils-2.20.1 [2.20-r1] USE="nls -multislot -multitarget -test -vanilla" 17,106 kB
[ebuild U ] app-portage/eix-0.19.2 [0.17.0] USE="bzip2%* nls -debug% -doc -hardened% -optimization% -sqlite -strong-optimization% -tools (-deprecated%*)" 397 kB
[ebuild U ] sys-fs/udev-149 [146-r1] USE="devfs-compat -extras (-selinux) -test%" 535 kB
[ebuild U ] app-office/openoffice-bin-3.2.0 [3.1.1] USE="kde%* -gnome -java" LINGUAS="de -ar -as% -ast% -bg -bn -ca -cs -da% -dz -el -en -en_GB -eo -es -et -eu -fi -fr -ga -gl -gu -hi_IN -hu -id -is% -it -ja% -ka -km -kn% -ko -ku -lt -lv% -mk -ml% -mr% -my -nb -nl -nn -oc -om% -or% -pa_IN -pl -pt -pt_BR -ro% -ru -sh -si% -sk -sl -sr -sv -ta -te% -th -tr -ug% -uk -uz -vi -zh_CN -zh_TW (-af%) (-as_IN%) (-be_BY%) (-br%) (-brx%) (-bs%) (-cy%) (-dgo%) (-en_ZA%) (-fa%) (-gu_IN%) (-he%) (-hr%) (-kk%) (-kn_IN%) (-kok%) (-ks%) (-mai%) (-ml_IN%) (-mn%) (-mni%) (-mr_IN%) (-ne%) (-nr%) (-ns%) (-or_IN%) (-rw%) (-sa_IN%) (-sat%) (-sd%) (-ss%) (-st%) (-sw_TZ%) (-ta_IN%) (-te_IN%) (-tg%) (-ti_ER%) (-tn%) (-ts%) (-ur_IN%) (-ve%) (-xh%) (-zu%)" 206,251 kB
[ebuild U ] net-dns/bind-tools-9.4.3_p5 [9.4.3_p4] USE="idn ipv6" 6,297 kB
[ebuild U ] dev-lang/python-2.6.4-r1 [2.6.4] USE="gdbm ipv6 ncurses readline ssl threads (wide-unicode) xml -berkdb -build -doc -examples -sqlite -tk -wininst" 13 kB
[ebuild NS ] www-apps/mythweb-0.22_p22763-r1 [0.21_p20323] USE="-vhosts" 21,277 kB
[ebuild U ] dev-libs/glib-2.22.4 [2.20.5-r1] USE="fam -debug -doc -hardened (-selinux) -xattr" 4,895 kB
[ebuild U ] x11-misc/shared-mime-info-0.70 [0.60] 486 kB
[ebuild U ] dev-libs/atk-1.28.0 [1.26.0] USE="-debug -doc" 699 kB
[ebuild U ] dev-python/imaging-1.1.7 [1.1.6-r1] USE="X scanner -doc -examples -tk" 488 kB
[ebuild U ] net-misc/openssh-5.3_p1-r1 [5.2_p1-r3] USE="X kerberos ldap pam tcpd -X509 -hpn -libedit -pkcs11 (-selinux) -skey -smartcard -static" 1,021 kB
[ebuild U ] x11-libs/qt-core-4.6.2-r1 [4.6.1] USE="exceptions glib iconv pch qt3support ssl (-aqua) -debug -doc -optimized-qmake" 156,838 kB
[ebuild U ] x11-libs/qt-sql-4.6.2 [4.6.1] USE="exceptions iconv mysql pch qt3support sqlite (-aqua) -debug (-firebird) -odbc -postgres" 0 kB
[ebuild U ] x11-libs/qt-script-4.6.2 [4.6.1] USE="exceptions iconv (-aqua) -debug -pch" 0 kB
[ebuild U ] x11-libs/qt-test-4.6.2 [4.6.1] USE="exceptions iconv (-aqua) -debug -pch" 0 kB
[ebuild U ] x11-libs/qt-dbus-4.6.2 [4.6.1] USE="exceptions (-aqua) -debug -pch" 0 kB
[ebuild U ] x11-libs/qt-xmlpatterns-4.6.2 [4.6.1] USE="(-aqua) -debug -pch" 0 kB
[ebuild U ] x11-libs/qt-gui-4.6.2 [4.6.1] USE="accessibility cups dbus exceptions glib gtk mng pch qt3support tiff xinerama (-aqua) -debug -nas -nis -raster" 0 kB
[ebuild U ] x11-libs/qt-qt3support-4.6.2 [4.6.1] USE="accessibility exceptions kde pch (-aqua) -debug -phonon" 0 kB
[ebuild U ] x11-libs/qt-svg-4.6.2 [4.6.1] USE="exceptions iconv (-aqua) -debug -pch" 0 kB
[ebuild U ] dev-python/pycups-1.9.49 [1.9.48] USE="-doc -examples" 45 kB
[ebuild U ] app-admin/system-config-printer-common-1.1.18 [1.1.16] USE="-doc -policykit" 1,018 kB
[ebuild U ] x11-libs/qt-opengl-4.6.2 [4.6.1] USE="exceptions pch qt3support (-aqua) -debug" 0 kB
[ebuild U ] net-libs/libsoup-2.28.2 [2.26.3-r3] USE="gnome ssl -debug -doc" 705 kB
[ebuild U ] net-libs/libsoup-gnome-2.28.2 [2.26.3-r1] USE="-debug -doc" 0 kB
[ebuild U ] media-video/ffmpeg-0.5_p21602 [0.5_p20373] USE="3dnow 3dnowext X alsa cpudetection encode hardcoded-tables jpeg2k mmx mmxext mp3 network sdl ssse3 theora v4l v4l2 vorbis x264 xvid zlib (-altivec) -bindist -custom-cflags -debug -dirac -doc -faac -faad -gsm -ieee1394 -jack -opencore-amr -oss -pic -schroedinger -speex -test -threads -vdpau (-ipv6%*)" VIDEO_CARDS="nvidia" 3,137 kB
[ebuild U ] media-sound/musepack-tools-444-r1 [444] 0 kB
[ebuild U ] kde-base/oxygen-icons-4.4.1 [4.4.0] USE="(-aqua) (-kdeenablefinal) (-kdeprefix)" 130,784 kB
[ebuild U ] x11-libs/gtk+-2.18.7 [2.16.6] USE="cups jpeg jpeg2k tiff xinerama (-aqua) -debug -doc -test -vim-syntax" 17,876 kB
[ebuild U ] dev-libs/soprano-2.4.1 [2.4.0.1] USE="dbus raptor redland virtuoso -clucene -debug -doc -java" 1,900 kB
[ebuild U ] www-client/chromium-5.0.342.3 [5.0.335.0] USE="ffmpeg plugins-symlink -bindist%" 151,950 kB
[ebuild U ] app-admin/conky-1.7.2-r2 [1.6.1] USE="X alsa%* nvidia portmon%* truetype -apcupsd% -audacious -curl% -debug -eve% -hddtemp -imlib% -iostats% -lua% -lua-cairo% -lua-imlib% -math% -moc% -mpd -nano-syntax -rss -thinkpad% -vim-syntax -weather-metar% -weather-xoap% -wifi (-ipv6%*) (-smapi%)" 572 kB
[ebuild U ] x11-libs/qt-webkit-4.6.2 [4.6.1] USE="exceptions kde pch (-aqua) -debug" 0 kB
[ebuild U ] kde-base/kdelibs-4.4.1-r1 [4.4.0] USE="acl alsa bzip2 fam handbook jpeg2k kerberos mmx nls opengl semantic-desktop spell sse sse2 ssl -3dnow (-altivec) (-aqua) -bindist -debug -doc (-kdeenablefinal) (-kdeprefix) -lzma -openexr -policykit -test -zeroconf" 13,747 kB
[ebuild U ] kde-base/libkworkspace-4.4.1 [4.4.0] USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 75,248 kB
[ebuild U ] kde-base/libkonq-4.4.1 [4.4.0] USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix) -test" 3,954 kB
[ebuild U ] kde-base/kephal-4.4.1 [4.4.0] USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/solid-4.4.1 [4.4.0] USE="bluetooth (-aqua) -debug (-kdeenablefinal) (-kdeprefix) -networkmanager -wicd" 0 kB
[ebuild U ] kde-base/kcheckpass-4.4.1 [4.4.0] USE="pam (-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/kfmclient-4.4.1 [4.4.0] USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/ksplash-4.4.1 [4.4.0] USE="mmx sse sse2 xinerama -3dnow (-altivec) (-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/ksysguard-4.4.1 [4.4.0] USE="handbook lm_sensors (-aqua) -debug (-kdeenablefinal) (-kdeprefix) -test" 0 kB
[ebuild U ] kde-base/kdesu-4.4.1 [4.4.0] USE="handbook (-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 7,235 kB
[ebuild U ] kde-base/phonon-kde-4.4.1 [4.4.0] USE="alsa xine (-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/libplasmaclock-4.4.1 [4.4.0] USE="opengl (-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/kstartupconfig-4.4.1 [4.4.0] USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/kdebase-wallpapers-4.4.1 [4.4.0] USE="(-aqua) (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/kdialog-4.4.1 [4.4.0] USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/pykde4-4.4.1 [4.4.0] USE="-akonadi (-aqua) -debug -doc -examples (-kdeenablefinal) (-kdeprefix) -semantic-desktop" 4,931 kB
[ebuild U ] kde-base/svgpart-4.4.1 [4.4.0] USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 3,717 kB
[ebuild U ] kde-base/kdebase-cursors-4.4.1 [4.4.0] USE="(-aqua) (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/konsole-4.4.1 [4.4.0] USE="handbook (-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/kinfocenter-4.4.1 [4.4.0] USE="handbook opengl (-aqua) -debug -ieee1394 (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/kappfinder-4.4.1 [4.4.0] USE="handbook (-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/ksystraycmd-4.4.1 [4.4.0] USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/kwrite-4.4.1 [4.4.0] USE="handbook (-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/qguiplatformplugin_kde-4.4.1 [4.4.0] USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/kwrited-4.4.1 [4.4.0] USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/knotify-4.4.1 [4.4.0] USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/kreadconfig-4.4.1 [4.4.0] USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/kstyles-4.4.1 [4.4.0] USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/kuiserver-4.4.1 [4.4.0] USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/khelpcenter-4.4.1 [4.4.0] USE="handbook (-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/kfile-4.4.1 [4.4.0] USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/kdebase-menu-4.4.1 [4.4.0] USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/kcmshell-4.4.1 [4.4.0] USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/kstart-4.4.1 [4.4.0] USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/kdebugdialog-4.4.1 [4.4.0] USE="handbook (-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/drkonqi-4.4.1 [4.4.0] USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/renamedlg-plugins-4.4.1 [4.4.0] USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/kioclient-4.4.1 [4.4.0] USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/kiconfinder-4.4.1 [4.4.0] USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/keditfiletype-4.4.1 [4.4.0] USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/attica-4.4.1 [4.4.0] USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/knetattach-4.4.1 [4.4.0] USE="handbook (-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/kpasswdserver-4.4.1 [4.4.0] USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/ktimezoned-4.4.1 [4.4.0] USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/kwalletd-4.4.1 [4.4.0] USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/kglobalaccel-4.4.1 [4.4.0] USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/kdebase-menu-icons-4.4.1 [4.4.0] USE="(-aqua) (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/plasma-runtime-4.4.1 [4.4.0] USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/kdebase-data-4.4.1 [4.4.0] USE="(-aqua) (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/kdebase-desktoptheme-4.4.1 [4.4.0] USE="(-aqua) (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/kquitapp-4.4.1 [4.4.0] USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/kmimetypefinder-4.4.1 [4.4.0] USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/kurifilter-plugins-4.4.1 [4.4.0] USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/knewstuff-4.4.1 [4.4.0] USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/ktraderclient-4.4.1 [4.4.0] USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/kdnssd-4.4.1 [4.4.0] USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix) -zeroconf" 8,231 kB
[ebuild U ] kde-base/libkcddb-4.4.1 [4.4.0] USE="musicbrainz (-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 1,544 kB
[ebuild U ] kde-base/libkipi-4.4.1 [4.4.0] USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/ksnapshot-4.4.1 [4.4.0] USE="handbook (-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/kmix-4.4.1 [4.4.0] USE="alsa handbook (-aqua) -debug (-kdeenablefinal) (-kdeprefix) -pulseaudio" 0 kB
[ebuild U ] kde-base/krosspython-4.4.1 [4.4.0] USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/khotkeys-4.4.1 [4.4.0] USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/kfind-4.4.1 [4.4.0] USE="handbook (-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/libtaskmanager-4.4.1 [4.4.0] USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/kcminit-4.4.1 [4.4.0] USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/kdepasswd-4.4.1 [4.4.0] USE="handbook (-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/plasma-apps-4.4.1 [4.4.0] USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/kwin-4.4.1 [4.4.0] USE="opengl xcomposite xinerama (-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/libplasmagenericshell-4.4.1 [4.4.0] USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/systemsettings-4.4.1 [4.4.0] USE="handbook opengl usb xinerama (-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/keditbookmarks-4.4.1 [4.4.0] USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/powerdevil-4.4.1 [4.4.0] USE="pm-utils (-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/kscreensaver-4.4.1 [4.4.0] USE="opengl pam (-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/solid-runtime-4.4.1 [4.4.0] USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/kdebase-kioslaves-4.4.1 [4.4.0] USE="bzip2 exif handbook samba sftp (-aqua) -debug (-kdeenablefinal) (-kdeprefix) -lzma -openexr" 0 kB
[ebuild U ] kde-base/gwenview-4.4.1-r1 [4.4.0] USE="handbook kipi (-aqua) -debug (-kdeenablefinal) (-kdeprefix) -semantic-desktop" 14 kB
[ebuild U ] app-cdr/k3b-1.70.0_beta1 [1.69.0_alpha4] USE="dvd encode ffmpeg flac lame mad musepack%* musicbrainz vcd vorbis wav (-aqua) -debug -emovix (-kdeenablefinal) -sndfile -sox -taglib" 8,412 kB
[ebuild U ] kde-base/printer-applet-4.4.1 [4.4.0] USE="(-aqua) (-kdeenablefinal) (-kdeprefix)" 2,630 kB
[ebuild U ] kde-base/ksmserver-4.4.1 [4.4.0] USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/plasma-workspace-4.4.1 [4.4.0] USE="handbook python xinerama (-aqua) -debug -google-gadgets (-kdeenablefinal) (-kdeprefix) -rss -semantic-desktop" 0 kB
[ebuild U ] kde-base/konqueror-4.4.1 [4.4.0] USE="bookmarks handbook svg (-aqua) -debug (-kdeenablefinal) (-kdeprefix) -thumbnail" 0 kB
[ebuild U ] kde-base/kdm-4.4.1 [4.4.0] USE="consolekit handbook kerberos pam (-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/dolphin-4.4.1 [4.4.0] USE="handbook (-aqua) -debug (-kdeenablefinal) (-kdeprefix) -semantic-desktop -subversion -thumbnail" 0 kB
[ebuild U ] kde-base/klipper-4.4.1 [4.4.0] USE="handbook (-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/kmenuedit-4.4.1 [4.4.0] USE="handbook (-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/kcontrol-4.4.1 [4.4.0] USE="handbook (-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/kdebase-runtime-meta-4.4.1 [4.4.0] USE="handbook (-aqua) (-kdeprefix) -semantic-desktop" 0 kB
[ebuild U ] kde-base/nsplugins-4.4.1 [4.4.0] USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/krunner-4.4.1 [4.4.0-r1] USE="opengl (-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/kdebase-startkde-4.4.1 [4.4.0] USE="(-aqua) (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild U ] kde-base/kdebase-meta-4.4.1 [4.4.0] USE="(-aqua) (-kdeprefix) -policykit" 0 kB
[ebuild U ] gnome-base/gnome-vfs-2.24.2 [2.24.1] USE="acl fam hal ipv6 kerberos samba ssl -avahi -debug -doc -gnutls" 1,816 kB
[ebuild U ] gnome-base/libbonoboui-2.24.2 [2.24.1] USE="-doc -test" 939 kB
[ebuild U ] gnome-base/libgnomeui-2.24.2 [2.24.1] USE="-doc" 1,492 kB
[ebuild U ] net-im/pidgin-2.6.6 [2.6.5] USE="dbus eds gstreamer gtk idn ncurses nls perl spell startup-notification xscreensaver -debug -doc -gadu -gnutls -groupwise -meanwhile -networkmanager -prediction -qq -sasl -silc -tcl -tk -zephyr -zeroconf" 9,258 kB
[ebuild U ] mail-client/mozilla-thunderbird-3.0.3-r1 [3.0.3] USE="crypt dbus ldap startup-notification -bindist -custom-optimization -gnome -lightning -mozdom -system-sqlite" LINGUAS="de -af -be -bg% -ca -cs -da% -el -en -en_GB -en_US -es -es_AR -es_ES -eu -fi -fr -ga -ga_IE -he% -hu -it -ja -ko -lt -nb -nb_NO -nl -nn -nn_NO -pa -pa_IN -pl -pt% -pt_BR -pt_PT% -ru -sk -sv -sv_SE -tr -uk -zh% -zh_CN% -zh_TW% (-ar%) (-et%) (-fy%) (-fy_NL%) (-id%) (-is%) (-ro%) (-si%) (-ta%) (-ta_LK%)" 0 kB
[blocks B ] >x11-libs/qt-sql-4.6.1-r9999 (">x11-libs/qt-sql-4.6.1-r9999" is blocking x11-libs/qt-multimedia-4.6.1, x11-libs/qt-assistant-4.6.1)
[blocks B ] >x11-libs/qt-svg-4.6.1-r9999 (">x11-libs/qt-svg-4.6.1-r9999" is blocking x11-libs/qt-multimedia-4.6.1, x11-libs/qt-assistant-4.6.1)
[blocks B ] <x11-libs/qt-xmlpatterns-4.6.2 ("<x11-libs/qt-xmlpatterns-4.6.2" is blocking x11-libs/qt-sql-4.6.2, x11-libs/qt-gui-4.6.2, x11-libs/qt-qt3support-4.6.2, x11-libs/qt-core-4.6.2-r1, x11-libs/qt-svg-4.6.2, x11-libs/qt-test-4.6.2, x11-libs/qt-opengl-4.6.2, x11-libs/qt-webkit-4.6.2, x11-libs/qt-script-4.6.2, x11-libs/qt-dbus-4.6.2)
[blocks B ] <x11-libs/qt-test-4.6.2 ("<x11-libs/qt-test-4.6.2" is blocking x11-libs/qt-sql-4.6.2, x11-libs/qt-gui-4.6.2, x11-libs/qt-qt3support-4.6.2, x11-libs/qt-core-4.6.2-r1, x11-libs/qt-svg-4.6.2, x11-libs/qt-opengl-4.6.2, x11-libs/qt-webkit-4.6.2, x11-libs/qt-xmlpatterns-4.6.2, x11-libs/qt-script-4.6.2, x11-libs/qt-dbus-4.6.2)
[blocks B ] <x11-libs/qt-script-4.6.2 ("<x11-libs/qt-script-4.6.2" is blocking x11-libs/qt-sql-4.6.2, x11-libs/qt-gui-4.6.2, x11-libs/qt-qt3support-4.6.2, x11-libs/qt-core-4.6.2-r1, x11-libs/qt-svg-4.6.2, x11-libs/qt-test-4.6.2, x11-libs/qt-opengl-4.6.2, x11-libs/qt-webkit-4.6.2, x11-libs/qt-xmlpatterns-4.6.2, x11-libs/qt-dbus-4.6.2)
[blocks B ] <x11-libs/qt-opengl-4.6.2 ("<x11-libs/qt-opengl-4.6.2" is blocking x11-libs/qt-sql-4.6.2, x11-libs/qt-gui-4.6.2, x11-libs/qt-qt3support-4.6.2, x11-libs/qt-core-4.6.2-r1, x11-libs/qt-svg-4.6.2, x11-libs/qt-test-4.6.2, x11-libs/qt-webkit-4.6.2, x11-libs/qt-xmlpatterns-4.6.2, x11-libs/qt-script-4.6.2, x11-libs/qt-dbus-4.6.2)
[blocks B ] <x11-libs/qt-sql-4.6.2 ("<x11-libs/qt-sql-4.6.2" is blocking x11-libs/qt-gui-4.6.2, x11-libs/qt-qt3support-4.6.2, x11-libs/qt-core-4.6.2-r1, x11-libs/qt-svg-4.6.2, x11-libs/qt-test-4.6.2, x11-libs/qt-opengl-4.6.2, x11-libs/qt-webkit-4.6.2, x11-libs/qt-xmlpatterns-4.6.2, x11-libs/qt-script-4.6.2, x11-libs/qt-dbus-4.6.2)
[blocks B ] <x11-libs/qt-svg-4.6.2 ("<x11-libs/qt-svg-4.6.2" is blocking x11-libs/qt-sql-4.6.2, x11-libs/qt-gui-4.6.2, x11-libs/qt-qt3support-4.6.2, x11-libs/qt-core-4.6.2-r1, x11-libs/qt-test-4.6.2, x11-libs/qt-opengl-4.6.2, x11-libs/qt-webkit-4.6.2, x11-libs/qt-xmlpatterns-4.6.2, x11-libs/qt-script-4.6.2, x11-libs/qt-dbus-4.6.2)
[blocks B ] >x11-libs/qt-gui-4.6.1-r9999 (">x11-libs/qt-gui-4.6.1-r9999" is blocking x11-libs/qt-multimedia-4.6.1, x11-libs/qt-assistant-4.6.1)
[blocks B ] >x11-libs/qt-test-4.6.1-r9999 (">x11-libs/qt-test-4.6.1-r9999" is blocking x11-libs/qt-multimedia-4.6.1, x11-libs/qt-assistant-4.6.1)
[blocks B ] <x11-libs/qt-qt3support-4.6.2 ("<x11-libs/qt-qt3support-4.6.2" is blocking x11-libs/qt-sql-4.6.2, x11-libs/qt-gui-4.6.2, x11-libs/qt-xmlpatterns-4.6.2, x11-libs/qt-core-4.6.2-r1, x11-libs/qt-svg-4.6.2, x11-libs/qt-test-4.6.2, x11-libs/qt-opengl-4.6.2, x11-libs/qt-webkit-4.6.2, x11-libs/qt-script-4.6.2, x11-libs/qt-dbus-4.6.2)
[blocks B ] <x11-libs/qt-core-4.6.2 ("<x11-libs/qt-core-4.6.2" is blocking x11-libs/qt-sql-4.6.2, x11-libs/qt-gui-4.6.2, x11-libs/qt-qt3support-4.6.2, x11-libs/qt-svg-4.6.2, x11-libs/qt-test-4.6.2, x11-libs/qt-opengl-4.6.2, x11-libs/qt-webkit-4.6.2, x11-libs/qt-xmlpatterns-4.6.2, x11-libs/qt-script-4.6.2, x11-libs/qt-dbus-4.6.2)
[blocks B ] >x11-libs/qt-core-4.6.1-r9999 (">x11-libs/qt-core-4.6.1-r9999" is blocking x11-libs/qt-multimedia-4.6.1, x11-libs/qt-assistant-4.6.1)
[blocks B ] <x11-libs/qt-gui-4.6.2 ("<x11-libs/qt-gui-4.6.2" is blocking x11-libs/qt-sql-4.6.2, x11-libs/qt-qt3support-4.6.2, x11-libs/qt-core-4.6.2-r1, x11-libs/qt-svg-4.6.2, x11-libs/qt-test-4.6.2, x11-libs/qt-opengl-4.6.2, x11-libs/qt-webkit-4.6.2, x11-libs/qt-xmlpatterns-4.6.2, x11-libs/qt-script-4.6.2, x11-libs/qt-dbus-4.6.2)
[blocks B ] >x11-libs/qt-qt3support-4.6.1-r9999 (">x11-libs/qt-qt3support-4.6.1-r9999" is blocking x11-libs/qt-multimedia-4.6.1, x11-libs/qt-assistant-4.6.1)
[blocks B ] >x11-libs/qt-opengl-4.6.1-r9999 (">x11-libs/qt-opengl-4.6.1-r9999" is blocking x11-libs/qt-multimedia-4.6.1, x11-libs/qt-assistant-4.6.1)
[blocks B ] >x11-libs/qt-webkit-4.6.1-r9999 (">x11-libs/qt-webkit-4.6.1-r9999" is blocking x11-libs/qt-multimedia-4.6.1, x11-libs/qt-assistant-4.6.1)
[blocks B ] <x11-libs/qt-dbus-4.6.2 ("<x11-libs/qt-dbus-4.6.2" is blocking x11-libs/qt-sql-4.6.2, x11-libs/qt-gui-4.6.2, x11-libs/qt-qt3support-4.6.2, x11-libs/qt-core-4.6.2-r1, x11-libs/qt-svg-4.6.2, x11-libs/qt-test-4.6.2, x11-libs/qt-opengl-4.6.2, x11-libs/qt-webkit-4.6.2, x11-libs/qt-xmlpatterns-4.6.2, x11-libs/qt-script-4.6.2)
[blocks B ] >x11-libs/qt-script-4.6.1-r9999 (">x11-libs/qt-script-4.6.1-r9999" is blocking x11-libs/qt-multimedia-4.6.1, x11-libs/qt-assistant-4.6.1)
[blocks B ] <x11-libs/qt-assistant-4.6.2 ("<x11-libs/qt-assistant-4.6.2" is blocking x11-libs/qt-sql-4.6.2, x11-libs/qt-gui-4.6.2, x11-libs/qt-qt3support-4.6.2, x11-libs/qt-core-4.6.2-r1, x11-libs/qt-svg-4.6.2, x11-libs/qt-test-4.6.2, x11-libs/qt-opengl-4.6.2, x11-libs/qt-webkit-4.6.2, x11-libs/qt-xmlpatterns-4.6.2, x11-libs/qt-script-4.6.2, x11-libs/qt-dbus-4.6.2)
[blocks B ] <x11-libs/qt-multimedia-4.6.2 ("<x11-libs/qt-multimedia-4.6.2" is blocking x11-libs/qt-sql-4.6.2, x11-libs/qt-gui-4.6.2, x11-libs/qt-qt3support-4.6.2, x11-libs/qt-core-4.6.2-r1, x11-libs/qt-svg-4.6.2, x11-libs/qt-test-4.6.2, x11-libs/qt-opengl-4.6.2, x11-libs/qt-webkit-4.6.2, x11-libs/qt-xmlpatterns-4.6.2, x11-libs/qt-script-4.6.2, x11-libs/qt-dbus-4.6.2)
[blocks B ] <x11-libs/qt-webkit-4.6.2 ("<x11-libs/qt-webkit-4.6.2" is blocking x11-libs/qt-sql-4.6.2, x11-libs/qt-gui-4.6.2, x11-libs/qt-qt3support-4.6.2, x11-libs/qt-core-4.6.2-r1, x11-libs/qt-svg-4.6.2, x11-libs/qt-test-4.6.2, x11-libs/qt-opengl-4.6.2, x11-libs/qt-xmlpatterns-4.6.2, x11-libs/qt-script-4.6.2, x11-libs/qt-dbus-4.6.2)
[blocks B ] >x11-libs/qt-dbus-4.6.1-r9999 (">x11-libs/qt-dbus-4.6.1-r9999" is blocking x11-libs/qt-multimedia-4.6.1, x11-libs/qt-assistant-4.6.1)
[blocks B ] >x11-libs/qt-xmlpatterns-4.6.1-r9999 (">x11-libs/qt-xmlpatterns-4.6.1-r9999" is blocking x11-libs/qt-multimedia-4.6.1, x11-libs/qt-assistant-4.6.1)

Total: 145 packages (139 upgrades, 4 new, 1 in new slot, 1 reinstall, 1 uninstall), Size of downloads: 885,810 kB
Conflict: 26 blocks (24 unsatisfied)

* Error: The above package list contains packages which cannot be
* installed at the same time on the same system.

('ebuild', '/', 'x11-libs/qt-test-4.6.2', 'merge') pulled in by
>=x11-libs/qt-test-4.6.0:4 required by ('ebuild', '/', 'kde-base/kephal-4.4.1', 'merge')
>=x11-libs/qt-test-4.4.0:4[-aqua] required by ('installed', '/', 'media-sound/phonon-4.3.80-r1', 'nomerge')
>=x11-libs/qt-test-4.5.1:4 required by ('ebuild', '/', 'app-cdr/k3b-1.70.0_beta1', 'merge')
(and 91 more)

('ebuild', '/', 'x11-libs/qt-sql-4.6.2', 'merge') pulled in by
>=x11-libs/qt-sql-4.6.0:4[qt3support] required by ('ebuild', '/', 'kde-base/phonon-kde-4.4.1', 'merge')
>=x11-libs/qt-sql-4.6.0:4[qt3support] required by ('ebuild', '/', 'kde-base/kdebugdialog-4.4.1', 'merge')
>=x11-libs/qt-sql-4.6.0:4[qt3support] required by ('ebuild', '/', 'kde-base/drkonqi-4.4.1', 'merge')
(and 94 more)

('ebuild', '/', 'x11-libs/qt-webkit-4.6.2', 'merge') pulled in by
x11-libs/qt-webkit:4 required by ('installed', '/', 'x11-libs/qtscriptgenerator-0.1.0', 'nomerge')
>=x11-libs/qt-webkit-4.4:4 required by ('installed', '/', 'media-tv/mythtv-0.22_p23069', 'nomerge')
>=x11-libs/qt-webkit-4.5.1:4[kde] required by ('ebuild', '/', 'app-cdr/k3b-1.70.0_beta1', 'merge')
(and 2 more)

('installed', '/', 'x11-libs/qt-gui-4.6.1', 'nomerge') pulled in by
>=x11-libs/qt-gui-4.5.1:4[accessibility,dbus] required by ('installed', '/', 'media-video/kmplayer-0.11.1b', 'nomerge')
>=x11-libs/qt-gui-4.6.0:4[accessibility,dbus] required by ('ebuild', '/', 'kde-base/kdnssd-4.4.1', 'merge')
>=x11-libs/qt-gui-4.6.0:4[accessibility,dbus] required by ('ebuild', '/', 'kde-base/kwrite-4.4.1', 'merge')
(and 112 more)

('ebuild', '/', 'x11-libs/qt-opengl-4.6.2', 'merge') pulled in by
>=x11-libs/qt-opengl-4.6.0:4 required by ('ebuild', '/', 'kde-base/libplasmaclock-4.4.1', 'merge')
>=x11-libs/qt-opengl-4.5.3:4 required by ('installed', '/', 'dev-python/PyQt4-4.7', 'nomerge')
>=x11-libs/qt-opengl-4.6.0:4 required by ('ebuild', '/', 'kde-base/kinfocenter-4.4.1', 'merge')
(and 10 more)

('ebuild', '/', 'x11-libs/qt-svg-4.6.2', 'merge') pulled in by
>=x11-libs/qt-svg-4.6.0:4 required by ('ebuild', '/', 'kde-base/kmenuedit-4.4.1', 'merge')
>=x11-libs/qt-svg-4.6.0:4 required by ('ebuild', '/', 'kde-base/kephal-4.4.1', 'merge')
>=x11-libs/qt-svg-4.5.3:4 required by ('installed', '/', 'dev-python/PyQt4-4.7', 'nomerge')
(and 91 more)

('ebuild', '/', 'x11-libs/qt-script-4.6.2', 'merge') pulled in by
>=x11-libs/qt-script-4.6.0:4 required by ('ebuild', '/', 'kde-base/knotify-4.4.1', 'merge')
>=x11-libs/qt-script-4.6.0:4 required by ('ebuild', '/', 'kde-base/klipper-4.4.1', 'merge')
>=x11-libs/qt-script-4.6.0:4 required by ('ebuild', '/', 'kde-base/drkonqi-4.4.1', 'merge')
(and 93 more)

('ebuild', '/', 'x11-libs/qt-gui-4.6.2', 'merge') pulled in by
>=x11-libs/qt-gui-4.5.1:4[accessibility,dbus] required by ('installed', '/', 'media-video/kmplayer-0.11.1b', 'nomerge')
>=x11-libs/qt-gui-4.6.0:4[accessibility,dbus] required by ('ebuild', '/', 'kde-base/kdnssd-4.4.1', 'merge')
>=x11-libs/qt-gui-4.6.0:4[accessibility,dbus] required by ('ebuild', '/', 'kde-base/kwrite-4.4.1', 'merge')
(and 109 more)

('ebuild', '/', 'x11-libs/qt-qt3support-4.6.2', 'merge') pulled in by
>=x11-libs/qt-qt3support-4.5.1:4[accessibility,kde] required by ('installed', '/', 'media-sound/amarok-2.2.2-r1', 'nomerge')
>=x11-libs/qt-qt3support-4.6.0:4[accessibility,kde] required by ('ebuild', '/', 'kde-base/kcontrol-4.4.1', 'merge')
>=x11-libs/qt-qt3support-4.6.0:4[accessibility,kde] required by ('ebuild', '/', 'kde-base/kdebase-desktoptheme-4.4.1', 'merge')
(and 90 more)

('installed', '/', 'x11-libs/qt-xmlpatterns-4.6.1', 'nomerge') pulled in by
x11-libs/qt-xmlpatterns:4 required by ('installed', '/', 'app-admin/keepassx-0.4.1', 'nomerge')
~x11-libs/qt-xmlpatterns-4.6.1 required by ('installed', '/', 'x11-libs/qt-4.6.1', 'nomerge')
x11-libs/qt-xmlpatterns:4 required by ('installed', '/', 'x11-libs/qtscriptgenerator-0.1.0', 'nomerge')
(and 1 more)

('installed', '/', 'x11-libs/qt-core-4.6.1', 'nomerge') pulled in by
>=x11-libs/qt-core-4.6.0:4[qt3support,ssl] required by ('ebuild', '/', 'kde-base/kdebase-menu-icons-4.4.1', 'merge')
>=x11-libs/qt-core-4.6.0:4[qt3support,ssl] required by ('ebuild', '/', 'kde-base/kdebase-startkde-4.4.1', 'merge')
x11-libs/qt-core:4 required by ('installed', '/', 'app-text/poppler-0.12.3-r3', 'nomerge')
(and 111 more)

('installed', '/', 'x11-libs/qt-sql-4.6.1', 'nomerge') pulled in by
>=x11-libs/qt-sql-4.6.0:4[qt3support] required by ('ebuild', '/', 'kde-base/phonon-kde-4.4.1', 'merge')
>=x11-libs/qt-sql-4.6.0:4[qt3support] required by ('ebuild', '/', 'kde-base/kdebugdialog-4.4.1', 'merge')
>=x11-libs/qt-sql-4.6.0:4[qt3support] required by ('ebuild', '/', 'kde-base/drkonqi-4.4.1', 'merge')
(and 96 more)

('installed', '/', 'x11-libs/qt-script-4.6.1', 'nomerge') pulled in by
>=x11-libs/qt-script-4.6.0:4 required by ('ebuild', '/', 'kde-base/knotify-4.4.1', 'merge')
>=x11-libs/qt-script-4.6.0:4 required by ('ebuild', '/', 'kde-base/klipper-4.4.1', 'merge')
>=x11-libs/qt-script-4.6.0:4 required by ('ebuild', '/', 'kde-base/drkonqi-4.4.1', 'merge')
(and 94 more)

('installed', '/', 'x11-libs/qt-webkit-4.6.1', 'nomerge') pulled in by
x11-libs/qt-webkit:4 required by ('installed', '/', 'x11-libs/qtscriptgenerator-0.1.0', 'nomerge')
>=x11-libs/qt-webkit-4.5.1:4[kde] required by ('ebuild', '/', 'app-cdr/k3b-1.70.0_beta1', 'merge')
>=x11-libs/qt-webkit-4.5.3:4 required by ('installed', '/', 'dev-python/PyQt4-4.7', 'nomerge')
(and 4 more)

('installed', '/', 'x11-libs/qt-test-4.6.1', 'nomerge') pulled in by
>=x11-libs/qt-test-4.6.0:4 required by ('ebuild', '/', 'kde-base/kephal-4.4.1', 'merge')
>=x11-libs/qt-test-4.4.0:4[-aqua] required by ('installed', '/', 'media-sound/phonon-4.3.80-r1', 'nomerge')
>=x11-libs/qt-test-4.5.1:4 required by ('ebuild', '/', 'app-cdr/k3b-1.70.0_beta1', 'merge')
(and 92 more)

('ebuild', '/', 'x11-libs/qt-core-4.6.2-r1', 'merge') pulled in by
>=x11-libs/qt-core-4.6.0:4[qt3support,ssl] required by ('ebuild', '/', 'kde-base/kdebase-menu-icons-4.4.1', 'merge')
>=x11-libs/qt-core-4.6.0:4[qt3support,ssl] required by ('ebuild', '/', 'kde-base/kdebase-startkde-4.4.1', 'merge')
>=x11-libs/qt-core-4.6.0:4[qt3support,ssl] required by ('ebuild', '/', 'kde-base/kdebase-cursors-4.4.1', 'merge')
(and 109 more)

('installed', '/', 'x11-libs/qt-dbus-4.6.1', 'nomerge') pulled in by
x11-libs/qt-dbus:4 required by ('installed', '/', 'app-misc/strigi-0.7.1', 'nomerge')
x11-libs/qt-dbus:4 required by ('installed', '/', 'x11-libs/qtscriptgenerator-0.1.0', 'nomerge')
>=x11-libs/qt-dbus-4.4:4 required by ('installed', '/', 'media-sound/amarok-utils-2.2.2-r1', 'nomerge')
(and 6 more)

('installed', '/', 'x11-libs/qt-multimedia-4.6.1', 'nomerge') pulled in by
~x11-libs/qt-multimedia-4.6.1 required by ('installed', '/', 'x11-libs/qt-4.6.1', 'nomerge')

('ebuild', '/', 'x11-libs/qt-xmlpatterns-4.6.2', 'merge') pulled in by
x11-libs/qt-xmlpatterns:4 required by ('installed', '/', 'app-admin/keepassx-0.4.1', 'nomerge')
~x11-libs/qt-xmlpatterns-4.6.2[-debug,-aqua] required by ('ebuild', '/', 'x11-libs/qt-webkit-4.6.2', 'merge')
x11-libs/qt-xmlpatterns:4 required by ('installed', '/', 'x11-libs/qtscriptgenerator-0.1.0', 'nomerge')

('installed', '/', 'x11-libs/qt-qt3support-4.6.1', 'nomerge') pulled in by
>=x11-libs/qt-qt3support-4.5.1:4[accessibility,kde] required by ('installed', '/', 'media-sound/amarok-2.2.2-r1', 'nomerge')
>=x11-libs/qt-qt3support-4.6.0:4[accessibility,kde] required by ('ebuild', '/', 'kde-base/kcontrol-4.4.1', 'merge')
>=x11-libs/qt-qt3support-4.6.0:4[accessibility,kde] required by ('ebuild', '/', 'kde-base/kdebase-desktoptheme-4.4.1', 'merge')
(and 91 more)

('installed', '/', 'x11-libs/qt-assistant-4.6.1', 'nomerge') pulled in by
~x11-libs/qt-assistant-4.6.1 required by ('installed', '/', 'x11-libs/qt-4.6.1', 'nomerge')

('ebuild', '/', 'x11-libs/qt-dbus-4.6.2', 'merge') pulled in by
x11-libs/qt-dbus:4 required by ('installed', '/', 'app-misc/strigi-0.7.1', 'nomerge')
x11-libs/qt-dbus:4 required by ('installed', '/', 'x11-libs/qtscriptgenerator-0.1.0', 'nomerge')
>=x11-libs/qt-dbus-4.4:4 required by ('installed', '/', 'media-sound/amarok-utils-2.2.2-r1', 'nomerge')
(and 5 more)

('installed', '/', 'x11-libs/qt-opengl-4.6.1', 'nomerge') pulled in by
>=x11-libs/qt-opengl-4.6.0:4 required by ('ebuild', '/', 'kde-base/libplasmaclock-4.4.1', 'merge')
>=x11-libs/qt-opengl-4.5.3:4 required by ('installed', '/', 'dev-python/PyQt4-4.7', 'nomerge')
>=x11-libs/qt-opengl-4.6.0:4 required by ('ebuild', '/', 'kde-base/kinfocenter-4.4.1', 'merge')
(and 11 more)

('installed', '/', 'x11-libs/qt-svg-4.6.1', 'nomerge') pulled in by
>=x11-libs/qt-svg-4.6.0:4 required by ('ebuild', '/', 'kde-base/kmenuedit-4.4.1', 'merge')
>=x11-libs/qt-svg-4.6.0:4 required by ('ebuild', '/', 'kde-base/kephal-4.4.1', 'merge')
>=x11-libs/qt-svg-4.5.3:4 required by ('installed', '/', 'dev-python/PyQt4-4.7', 'nomerge')
(and 92 more)


Hat jemand das Problem schon gehabt und gelöst? Ich denke, dass da noch irgendwelche qt3-Reste rumfliegen - aber was ich tun muss, kriege ich nicht raus.

Danke für jede Hilfe!
_________________
I could be arguing on my own time.


Last edited by Karsten1973 on Sun Mar 14, 2010 8:10 pm; edited 1 time in total
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3626
Location: Germany

PostPosted: Sun Mar 14, 2010 2:54 pm    Post subject: Reply with quote

Hi Karsten

Hm..., ich würde da versuchen zunächst ein separates Update der Qt-libs durchzubringen...
also zb via
Code:
# emerge -av1 $(qlist -I -C x11-libs/qt-)


/edit:
("qlist" ist mit im Paket "portage-utils" enthalten)
Back to top
View user's profile Send private message
Karsten1973
Apprentice
Apprentice


Joined: 17 Dec 2004
Posts: 298
Location: Berlin, Germany

PostPosted: Sun Mar 14, 2010 3:28 pm    Post subject: Reply with quote

Danke für den Tipp. Ich probiere das gerade aus und bekomme:

Code:
These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] x11-libs/qt-dbus-4.6.1  USE="exceptions (-aqua) -debug -pch" 0 kB
[ebuild   R   ] x11-libs/qt-script-4.6.1  USE="exceptions iconv (-aqua) -debug -pch" 0 kB
[ebuild   R   ] x11-libs/qt-xmlpatterns-4.6.1  USE="(-aqua) -debug -pch" 0 kB           
[ebuild   R   ] x11-libs/qt-test-4.6.1  USE="exceptions iconv (-aqua) -debug -pch" 0 kB 
[ebuild   R   ] x11-libs/qt-sql-4.6.1  USE="exceptions iconv mysql pch qt3support sqlite (-aqua) -debug (-firebird) -odbc -postgres" 0 kB                                                                                                                                       
[ebuild   R   ] x11-libs/qt-gui-4.6.1  USE="accessibility cups dbus exceptions glib gtk mng pch qt3support tiff xinerama (-aqua) -debug -nas -nis -raster" 0 kB                                                                                                                 
[ebuild   R   ] x11-libs/qt-qt3support-4.6.1  USE="accessibility exceptions kde pch (-aqua) -debug -phonon" 0 kB                       
[ebuild   R   ] x11-libs/qt-webkit-4.6.1  USE="exceptions kde pch (-aqua) -debug" 0 kB                                                 
[ebuild   R   ] x11-libs/qt-opengl-4.6.1  USE="exceptions pch qt3support (-aqua) -debug" 0 kB                                           
[ebuild   R   ] x11-libs/qt-svg-4.6.1  USE="exceptions iconv (-aqua) -debug -pch" 0 kB                                                 
[ebuild   R   ] x11-libs/qt-multimedia-4.6.1  USE="exceptions iconv (-aqua) -debug -pch" 0 kB                                           
[ebuild   R   ] x11-libs/qt-assistant-4.6.1  USE="exceptions (-aqua) -debug -pch" 0 kB                                                 
[ebuild   R   ] x11-libs/qt-4.6.1  USE="dbus kde opengl qt3support" 0 kB                                                               
[ebuild     U ] x11-libs/qt-core-4.6.2-r1 [4.6.1] USE="exceptions glib iconv pch qt3support ssl (-aqua) -debug -doc -optimized-qmake" 156,838 kB                                                                                                                               
[ebuild     U ] x11-libs/qt-dbus-4.6.2 [4.6.1] USE="exceptions (-aqua) -debug -pch" 0 kB                                               
[ebuild     U ] x11-libs/qt-sql-4.6.2 [4.6.1] USE="exceptions iconv mysql pch qt3support sqlite (-aqua) -debug (-firebird) -odbc -postgres" 0 kB                                                                                                                               
[ebuild     U ] x11-libs/qt-script-4.6.2 [4.6.1] USE="exceptions iconv (-aqua) -debug -pch" 0 kB                                       
[ebuild     U ] x11-libs/qt-xmlpatterns-4.6.2 [4.6.1] USE="(-aqua) -debug -pch" 0 kB                                                   
[ebuild     U ] x11-libs/qt-test-4.6.2 [4.6.1] USE="exceptions iconv (-aqua) -debug -pch" 0 kB                                         
[ebuild     U ] x11-libs/qt-gui-4.6.2 [4.6.1] USE="accessibility cups dbus exceptions glib gtk mng pch qt3support tiff xinerama (-aqua) -debug -nas -nis -raster" 0 kB                                                                                                         
[ebuild     U ] x11-libs/qt-qt3support-4.6.2 [4.6.1] USE="accessibility exceptions kde pch (-aqua) -debug -phonon" 0 kB                 
[ebuild     U ] x11-libs/qt-webkit-4.6.2 [4.6.1] USE="exceptions kde pch (-aqua) -debug" 0 kB                                           
[ebuild     U ] x11-libs/qt-multimedia-4.6.2 [4.6.1] USE="exceptions iconv (-aqua) -debug -pch" 0 kB                                   
[ebuild     U ] x11-libs/qt-opengl-4.6.2 [4.6.1] USE="exceptions pch qt3support (-aqua) -debug" 0 kB                                   
[ebuild     U ] x11-libs/qt-svg-4.6.2 [4.6.1] USE="exceptions iconv (-aqua) -debug -pch" 0 kB                                           
[ebuild     U ] x11-libs/qt-assistant-4.6.2 [4.6.1] USE="exceptions (-aqua) -debug -pch" 0 kB                                           
[blocks B     ] <x11-libs/qt-core-4.6.2 ("<x11-libs/qt-core-4.6.2" is blocking x11-libs/qt-sql-4.6.2, x11-libs/qt-gui-4.6.2, x11-libs/qt-xmlpatterns-4.6.2, x11-libs/qt-svg-4.6.2, x11-libs/qt-test-4.6.2, x11-libs/qt-opengl-4.6.2, x11-libs/qt-webkit-4.6.2, x11-libs/qt-qt3support-4.6.2, x11-libs/qt-script-4.6.2, x11-libs/qt-dbus-4.6.2, x11-libs/qt-multimedia-4.6.2, x11-libs/qt-assistant-4.6.2)               

Total: 26 packages (13 upgrades, 13 reinstalls), Size of downloads: 156,838 kB
Conflict: 1 block (1 unsatisfied)                                             

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.                 

  ('ebuild', '/', 'x11-libs/qt-qt3support-4.6.2', 'merge') pulled in by
    x11-libs/qt-qt3support
    ~x11-libs/qt-qt3support-4.6.2[-debug,-aqua] required by ('ebuild', '/', 'x11-libs/qt-gui-4.6.2', 'merge')

  ('ebuild', '/', 'x11-libs/qt-opengl-4.6.2', 'merge') pulled in by
    x11-libs/qt-opengl

  ('ebuild', '/', 'x11-libs/qt-xmlpatterns-4.6.2', 'merge') pulled in by
    x11-libs/qt-xmlpatterns
    ~x11-libs/qt-xmlpatterns-4.6.2[-debug,-aqua] required by ('ebuild', '/', 'x11-libs/qt-webkit-4.6.2', 'merge')

  ('ebuild', '/', 'x11-libs/qt-test-4.6.2', 'merge') pulled in by
    x11-libs/qt-test

  ('ebuild', '/', 'x11-libs/qt-sql-4.6.2', 'merge') pulled in by
    x11-libs/qt-sql
    ~x11-libs/qt-sql-4.6.2[sqlite,-aqua] required by ('ebuild', '/', 'x11-libs/qt-assistant-4.6.2', 'merge')
    ~x11-libs/qt-sql-4.6.2[qt3support,-debug,-aqua] required by ('ebuild', '/', 'x11-libs/qt-qt3support-4.6.2', 'merge')

  ('ebuild', '/', 'x11-libs/qt-webkit-4.6.2', 'merge') pulled in by
    x11-libs/qt-webkit
    ~x11-libs/qt-webkit-4.6.2[-aqua] required by ('ebuild', '/', 'x11-libs/qt-assistant-4.6.2', 'merge')

  ('ebuild', '/', 'x11-libs/qt-dbus-4.6.2', 'merge') pulled in by
    ~x11-libs/qt-dbus-4.6.2[-debug,-aqua] required by ('ebuild', '/', 'x11-libs/qt-gui-4.6.2', 'merge')
    x11-libs/qt-dbus
    ~x11-libs/qt-dbus-4.6.2[-debug,-aqua] required by ('ebuild', '/', 'x11-libs/qt-webkit-4.6.2', 'merge')

  ('installed', '/', 'x11-libs/qt-core-4.6.1', 'nomerge') pulled in by
    x11-libs/qt-core
    ~x11-libs/qt-core-4.6.1[-debug,-aqua] required by ('ebuild', '/', 'x11-libs/qt-script-4.6.1', 'merge')
    ~x11-libs/qt-core-4.6.1[-debug,-aqua] required by ('ebuild', '/', 'x11-libs/qt-dbus-4.6.1', 'merge')
    (and 9 more)

  ('ebuild', '/', 'x11-libs/qt-multimedia-4.6.2', 'merge') pulled in by
    x11-libs/qt-multimedia

  ('ebuild', '/', 'x11-libs/qt-svg-4.6.2', 'merge') pulled in by
    x11-libs/qt-svg

  ('ebuild', '/', 'x11-libs/qt-script-4.6.2', 'merge') pulled in by
    x11-libs/qt-script
    ~x11-libs/qt-script-4.6.2[-debug,-aqua] required by ('ebuild', '/', 'x11-libs/qt-gui-4.6.2', 'merge')

  ('ebuild', '/', 'x11-libs/qt-assistant-4.6.2', 'merge') pulled in by
    x11-libs/qt-assistant

  ('ebuild', '/', 'x11-libs/qt-gui-4.6.2', 'merge') pulled in by
    ~x11-libs/qt-gui-4.6.2[dbus,-debug,-aqua] required by ('ebuild', '/', 'x11-libs/qt-webkit-4.6.2', 'merge')
    x11-libs/qt-gui
    ~x11-libs/qt-gui-4.6.2[qt3support,-aqua] required by ('ebuild', '/', 'x11-libs/qt-core-4.6.2-r1', 'merge')
    (and 5 more)


So richtig viel schlauer bin ich noch nicht - qt ist offenbar das Problem, aber was hat es denn? Vielleicht fehlt ihm ein Paket, dass ich nicht in package.keywords freigegeben habe? Ich versuche im großen und ganzen stable laufen zu lassen.
_________________
I could be arguing on my own time.
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4408

PostPosted: Sun Mar 14, 2010 3:45 pm    Post subject: Reply with quote

qt-gui-4.6.2 will nicht mit qt-core-4.6.1. usw.
Liegt daran dass die einzelnen Qt-Pakete ihre Abhängigkeiten in der selben Version brauchen.
Ich dache bisher immer dass portage diese Blocks selber lösen kann, aber so..
Einfach rigoros alle x11-libs/qt-* deinstallieren, dann sollte sich das Problem gegeseen haben ;)
Entweder danach selber installieren was du willst, oder Portage als Abhängigkeiten reinziehen lassen was notwendig ist, z.B. bei nem emerge -uDN world.
Back to top
View user's profile Send private message
Karsten1973
Apprentice
Apprentice


Joined: 17 Dec 2004
Posts: 298
Location: Berlin, Germany

PostPosted: Sun Mar 14, 2010 3:49 pm    Post subject: Reply with quote

franzf wrote:
qt-gui-4.6.2 will nicht mit qt-core-4.6.1. usw.
Liegt daran dass die einzelnen Qt-Pakete ihre Abhängigkeiten in der selben Version brauchen.


Ah! Ich nutze folgendes System in meinen package.keywords: Ich gebe in der Regel die nötige Fassung so ein <=xxx-4.6.1
(Ich will ja zurück auf Stable, wenn es geht!)
localhost package.keywords # emerge -av1 $(qlist -I -C x11-libs/qt-)
WARNING: One or more repositories have missing repo_name entries:

/usr/local/portage/profiles/repo_name

NOTE: Each repo_name entry should be a plain text file containing a
unique name for the repository on the first line.

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild U ] x11-libs/qt-core-4.6.1-r1 [4.6.1] USE="exceptions glib iconv pch qt3support ssl (-aqua) -debug -doc -optimized-qmake" 0 kB
[ebuild R ] x11-libs/qt-dbus-4.6.1 USE="exceptions (-aqua) -debug -pch" 0 kB
[ebuild R ] x11-libs/qt-sql-4.6.1 USE="exceptions iconv mysql pch qt3support sqlite (-aqua) -debug (-firebird) -odbc -postgres" 0 kB
[ebuild R ] x11-libs/qt-script-4.6.1 USE="exceptions iconv (-aqua) -debug -pch" 0 kB
[ebuild R ] x11-libs/qt-xmlpatterns-4.6.1 USE="(-aqua) -debug -pch" 0 kB
[ebuild R ] x11-libs/qt-test-4.6.1 USE="exceptions iconv (-aqua) -debug -pch" 0 kB
[ebuild R ] x11-libs/qt-gui-4.6.1 USE="accessibility cups dbus exceptions glib gtk mng pch qt3support tiff xinerama (-aqua) -debug -nas -nis -raster" 0 kB
[ebuild R ] x11-libs/qt-qt3support-4.6.1 USE="accessibility exceptions kde pch (-aqua) -debug -phonon" 0 kB
[ebuild R ] x11-libs/qt-webkit-4.6.1 USE="exceptions kde pch (-aqua) -debug" 0 kB
[ebuild R ] x11-libs/qt-opengl-4.6.1 USE="exceptions pch qt3support (-aqua) -debug" 0 kB
[ebuild R ] x11-libs/qt-svg-4.6.1 USE="exceptions iconv (-aqua) -debug -pch" 0 kB
[ebuild R ] x11-libs/qt-multimedia-4.6.1 USE="exceptions iconv (-aqua) -debug -pch" 0 kB
[ebuild R ] x11-libs/qt-assistant-4.6.1 USE="exceptions (-aqua) -debug -pch" 0 kB
[ebuild R ] x11-libs/qt-4.6.1 USE="dbus kde opengl qt3support" 0 kB
[ebuild U ] x11-libs/qt-core-4.6.2-r1 [4.6.1] USE="exceptions glib iconv pch qt3support ssl (-aqua) -debug -doc -optimized-qmake" 156,838 kB
[ebuild U ] x11-libs/qt-dbus-4.6.2 [4.6.1] USE="exceptions (-aqua) -debug -pch" 0 kB
[ebuild U ] x11-libs/qt-sql-4.6.2 [4.6.1] USE="exceptions iconv mysql pch qt3support sqlite (-aqua) -debug (-firebird) -odbc -postgres" 0 kB
[ebuild U ] x11-libs/qt-script-4.6.2 [4.6.1] USE="exceptions iconv (-aqua) -debug -pch" 0 kB
[ebuild U ] x11-libs/qt-xmlpatterns-4.6.2 [4.6.1] USE="(-aqua) -debug -pch" 0 kB
[ebuild U ] x11-libs/qt-test-4.6.2 [4.6.1] USE="exceptions iconv (-aqua) -debug -pch" 0 kB
[ebuild U ] x11-libs/qt-gui-4.6.2 [4.6.1] USE="accessibility cups dbus exceptions glib gtk mng pch qt3support tiff xinerama (-aqua) -debug -nas -nis -raster" 0 kB
[ebuild U ] x11-libs/qt-qt3support-4.6.2 [4.6.1] USE="accessibility exceptions kde pch (-aqua) -debug -phonon" 0 kB
[ebuild U ] x11-libs/qt-webkit-4.6.2 [4.6.1] USE="exceptions kde pch (-aqua) -debug" 0 kB
[ebuild U ] x11-libs/qt-multimedia-4.6.2 [4.6.1] USE="exceptions iconv (-aqua) -debug -pch" 0 kB
[ebuild U ] x11-libs/qt-opengl-4.6.2 [4.6.1] USE="exceptions pch qt3support (-aqua) -debug" 0 kB
[ebuild U ] x11-libs/qt-svg-4.6.2 [4.6.1] USE="exceptions iconv (-aqua) -debug -pch" 0 kB
[ebuild U ] x11-libs/qt-assistant-4.6.2 [4.6.1] USE="exceptions (-aqua) -debug -pch" 0 kB

Total: 27 packages (14 upgrades, 13 reinstalls), Size of downloads: 156,838 kB

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

x11-libs/qt-script:4

('ebuild', '/', 'x11-libs/qt-script-4.6.2', 'merge') pulled in by
~x11-libs/qt-script-4.6.2[-debug,-aqua] required by ('ebuild', '/', 'x11-libs/qt-gui-4.6.2', 'merge')
(and 1 more)

('ebuild', '/', 'x11-libs/qt-script-4.6.1', 'merge') pulled in by
~x11-libs/qt-script-4.6.1 required by ('ebuild', '/', 'x11-libs/qt-4.6.1', 'merge')
~x11-libs/qt-script-4.6.1[-debug,-aqua] required by ('ebuild', '/', 'x11-libs/qt-gui-4.6.1', 'merge')
(and 1 more)

x11-libs/qt-multimedia:4

('ebuild', '/', 'x11-libs/qt-multimedia-4.6.2', 'merge') pulled in by
x11-libs/qt-multimedia

('ebuild', '/', 'x11-libs/qt-multimedia-4.6.1', 'merge') pulled in by
~x11-libs/qt-multimedia-4.6.1 required by ('ebuild', '/', 'x11-libs/qt-4.6.1', 'merge')
(and 1 more)

x11-libs/qt-svg:4

('ebuild', '/', 'x11-libs/qt-svg-4.6.1', 'merge') pulled in by
~x11-libs/qt-svg-4.6.1 required by ('ebuild', '/', 'x11-libs/qt-4.6.1', 'merge')
(and 1 more)

('ebuild', '/', 'x11-libs/qt-svg-4.6.2', 'merge') pulled in by
x11-libs/qt-svg

x11-libs/qt-xmlpatterns:4

('ebuild', '/', 'x11-libs/qt-xmlpatterns-4.6.2', 'merge') pulled in by
~x11-libs/qt-xmlpatterns-4.6.2[-debug,-aqua] required by ('ebuild', '/', 'x11-libs/qt-webkit-4.6.2', 'merge')
(and 1 more)

('ebuild', '/', 'x11-libs/qt-xmlpatterns-4.6.1', 'merge') pulled in by
~x11-libs/qt-xmlpatterns-4.6.1 required by ('ebuild', '/', 'x11-libs/qt-4.6.1', 'merge')
~x11-libs/qt-xmlpatterns-4.6.1[-debug,-aqua] required by ('ebuild', '/', 'x11-libs/qt-webkit-4.6.1', 'merge')
(and 1 more)

x11-libs/qt-test:4

('ebuild', '/', 'x11-libs/qt-test-4.6.2', 'merge') pulled in by
x11-libs/qt-test

('ebuild', '/', 'x11-libs/qt-test-4.6.1', 'merge') pulled in by
~x11-libs/qt-test-4.6.1 required by ('ebuild', '/', 'x11-libs/qt-4.6.1', 'merge')
(and 1 more)

x11-libs/qt-core:4

('ebuild', '/', 'x11-libs/qt-core-4.6.2-r1', 'merge') pulled in by
~x11-libs/qt-core-4.6.2[qt3support,-debug,-aqua] required by ('ebuild', '/', 'x11-libs/qt-qt3support-4.6.2', 'merge')
~x11-libs/qt-core-4.6.2[-debug,-aqua] required by ('ebuild', '/', 'x11-libs/qt-test-4.6.2', 'merge')
~x11-libs/qt-core-4.6.2[-debug,-aqua] required by ('ebuild', '/', 'x11-libs/qt-script-4.6.2', 'merge')
(and 8 more)

('ebuild', '/', 'x11-libs/qt-core-4.6.1-r1', 'merge') pulled in by
~x11-libs/qt-core-4.6.1[-debug,-aqua] required by ('ebuild', '/', 'x11-libs/qt-script-4.6.1', 'merge')
~x11-libs/qt-core-4.6.1[-debug,-aqua] required by ('ebuild', '/', 'x11-libs/qt-dbus-4.6.1', 'merge')
~x11-libs/qt-core-4.6.1[qt3support,-debug,-aqua] required by ('ebuild', '/', 'x11-libs/qt-sql-4.6.1', 'merge')
(and 9 more)

x11-libs/qt-assistant:4

('ebuild', '/', 'x11-libs/qt-assistant-4.6.1', 'merge') pulled in by
~x11-libs/qt-assistant-4.6.1 required by ('ebuild', '/', 'x11-libs/qt-4.6.1', 'merge')
(and 1 more)

('ebuild', '/', 'x11-libs/qt-assistant-4.6.2', 'merge') pulled in by
x11-libs/qt-assistant

x11-libs/qt-sql:4

('ebuild', '/', 'x11-libs/qt-sql-4.6.2', 'merge') pulled in by
~x11-libs/qt-sql-4.6.2[sqlite,-aqua] required by ('ebuild', '/', 'x11-libs/qt-assistant-4.6.2', 'merge')
~x11-libs/qt-sql-4.6.2[qt3support,-debug,-aqua] required by ('ebuild', '/', 'x11-libs/qt-qt3support-4.6.2', 'merge')
(and 1 more)

('ebuild', '/', 'x11-libs/qt-sql-4.6.1', 'merge') pulled in by
~x11-libs/qt-sql-4.6.1[qt3support,-debug,-aqua] required by ('ebuild', '/', 'x11-libs/qt-qt3support-4.6.1', 'merge')
~x11-libs/qt-sql-4.6.1[sqlite,-aqua] required by ('ebuild', '/', 'x11-libs/qt-assistant-4.6.1', 'merge')
~x11-libs/qt-sql-4.6.1 required by ('ebuild', '/', 'x11-libs/qt-4.6.1', 'merge')
(and 1 more)

x11-libs/qt-dbus:4

('ebuild', '/', 'x11-libs/qt-dbus-4.6.1', 'merge') pulled in by
~x11-libs/qt-dbus-4.6.1 required by ('ebuild', '/', 'x11-libs/qt-4.6.1', 'merge')
~x11-libs/qt-dbus-4.6.1[-debug,-aqua] required by ('ebuild', '/', 'x11-libs/qt-gui-4.6.1', 'merge')
~x11-libs/qt-dbus-4.6.1[-debug,-aqua] required by ('ebuild', '/', 'x11-libs/qt-webkit-4.6.1', 'merge')
(and 1 more)

('ebuild', '/', 'x11-libs/qt-dbus-4.6.2', 'merge') pulled in by
~x11-libs/qt-dbus-4.6.2[-debug,-aqua] required by ('ebuild', '/', 'x11-libs/qt-gui-4.6.2', 'merge')
~x11-libs/qt-dbus-4.6.2[-debug,-aqua] required by ('ebuild', '/', 'x11-libs/qt-webkit-4.6.2', 'merge')
(and 1 more)

x11-libs/qt-gui:4

('ebuild', '/', 'x11-libs/qt-gui-4.6.1', 'merge') pulled in by
~x11-libs/qt-gui-4.6.1[qt3support,accessibility,-debug,-aqua] required by ('ebuild', '/', 'x11-libs/qt-qt3support-4.6.1', 'merge')
~x11-libs/qt-gui-4.6.1[-aqua] required by ('ebuild', '/', 'x11-libs/qt-assistant-4.6.1', 'merge')
~x11-libs/qt-gui-4.6.1[-debug,-aqua] required by ('ebuild', '/', 'x11-libs/qt-multimedia-4.6.1', 'merge')
(and 6 more)

('ebuild', '/', 'x11-libs/qt-gui-4.6.2', 'merge') pulled in by
~x11-libs/qt-gui-4.6.2[dbus,-debug,-aqua] required by ('ebuild', '/', 'x11-libs/qt-webkit-4.6.2', 'merge')
~x11-libs/qt-gui-4.6.2[qt3support,-debug,-aqua] required by ('ebuild', '/', 'x11-libs/qt-opengl-4.6.2', 'merge')
~x11-libs/qt-gui-4.6.2[-debug,-aqua] required by ('ebuild', '/', 'x11-libs/qt-svg-4.6.2', 'merge')
(and 5 more)

x11-libs/qt-opengl:4

('ebuild', '/', 'x11-libs/qt-opengl-4.6.2', 'merge') pulled in by
x11-libs/qt-opengl

('ebuild', '/', 'x11-libs/qt-opengl-4.6.1', 'merge') pulled in by
~x11-libs/qt-opengl-4.6.1 required by ('ebuild', '/', 'x11-libs/qt-4.6.1', 'merge')
(and 1 more)

x11-libs/qt-webkit:4

('ebuild', '/', 'x11-libs/qt-webkit-4.6.1', 'merge') pulled in by
~x11-libs/qt-webkit-4.6.1 required by ('ebuild', '/', 'x11-libs/qt-4.6.1', 'merge')
~x11-libs/qt-webkit-4.6.1[-aqua] required by ('ebuild', '/', 'x11-libs/qt-assistant-4.6.1', 'merge')
(and 1 more)

('ebuild', '/', 'x11-libs/qt-webkit-4.6.2', 'merge') pulled in by
~x11-libs/qt-webkit-4.6.2[-aqua] required by ('ebuild', '/', 'x11-libs/qt-assistant-4.6.2', 'merge')
(and 1 more)

x11-libs/qt-qt3support:4

('ebuild', '/', 'x11-libs/qt-qt3support-4.6.2', 'merge') pulled in by
~x11-libs/qt-qt3support-4.6.2[-debug,-aqua] required by ('ebuild', '/', 'x11-libs/qt-gui-4.6.2', 'merge')
(and 1 more)

('ebuild', '/', 'x11-libs/qt-qt3support-4.6.1', 'merge') pulled in by
~x11-libs/qt-qt3support-4.6.1 required by ('ebuild', '/', 'x11-libs/qt-4.6.1', 'merge')
~x11-libs/qt-qt3support-4.6.1[-debug,-aqua] required by ('ebuild', '/', 'x11-libs/qt-gui-4.6.1', 'merge')
(and 1 more)
[/code]
Also hab ich jetzt alles, was auf 4.6.1 Version beschränkt war, auf 4.6.2 erhöht. nun kriege ich:

Meine mit package.keyword freigegebenen qt sehen so aus:

Code:
localhost package.keywords # cat * | grep qt
sys-auth/policykit-qt
<=x11-libs/qt-4.6.2
<=x11-libs/qt-assistant-4.6.2
<=x11-libs/qt-core-4.6.2
<=x11-libs/qt-dbus-4.6.2
<=x11-libs/qt-gui-4.6.2
<=x11-libs/qt-multimedia-4.6.2
<=x11-libs/qt-opengl-4.6.2
<=x11-libs/qt-qt3support-4.6.2
<=x11-libs/qt-script-4.6.2
<=x11-libs/qtscriptgenerator-0.1.0
<=x11-libs/qt-sql-4.6.2
<=x11-libs/qt-svg-4.6.2
<=x11-libs/qt-test-4.6.2
<=x11-libs/qt-webkit-4.6.2
<=x11-libs/qt-xmlpatterns-4.6.2

_________________
I could be arguing on my own time.
Back to top
View user's profile Send private message
schachti
Advocate
Advocate


Joined: 28 Jul 2003
Posts: 3765
Location: Gifhorn, Germany

PostPosted: Sun Mar 14, 2010 3:57 pm    Post subject: Reply with quote

Karsten1973 wrote:
Ah! Ich nutze folgendes System in meinen package.keywords: Ich gebe in der Regel die nötige Fassung so ein <=xxx-4.6.1
(Ich will ja zurück auf Stable, wenn es geht!)


Damit schliesst Du aber Versionen wie -r1, -r2 etc. aus, die unter Umständen kleinere Probleme lösen. Ich würde daher eher ~ statt <= verwenden.
_________________
Never argue with an idiot. He brings you down to his level, then beats you with experience.

How-To: Daten verschlüsselt auf DVD speichern.
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4408

PostPosted: Sun Mar 14, 2010 3:59 pm    Post subject: Reply with quote

Deine package.keywords verhindert, dass die revidierten Gentoo-ebuilds installiert werden.
Also z.B. qt-core-4.6.2-r1.
Und das scheint ziemlich Probleme zu machen, denn es gibt kein qt-core-4.6.2 mehr, weshalb qt-core-4.6.1 reingezogen wird :P

Wenn du nach stable willst solltest du in package.keywords gar nix stehen haben :P
Back to top
View user's profile Send private message
Karsten1973
Apprentice
Apprentice


Joined: 17 Dec 2004
Posts: 298
Location: Berlin, Germany

PostPosted: Sun Mar 14, 2010 4:02 pm    Post subject: Reply with quote

Danke. Ich habe jetzt alle qt*-4.6.1 in der letzten Ausgabe auf 4.6.2 hoch erlaubt. Dabei ist dann aufgefallen, dass qt-core-4.6.2 noch in die .unmask muss (komisch!). Jetzt läuft der Compile-Prozess für qt an. Erstmal danke für die Hilfe. Und das <= ersetze ich gerne durch ~ -- danke für den Tipp!
_________________
I could be arguing on my own time.
Back to top
View user's profile Send private message
Karsten1973
Apprentice
Apprentice


Joined: 17 Dec 2004
Posts: 298
Location: Berlin, Germany

PostPosted: Sun Mar 14, 2010 4:03 pm    Post subject: Reply with quote

franzf wrote:
Deine package.keywords verhindert, dass die revidierten Gentoo-ebuilds installiert werden.
Wenn du nach stable willst solltest du in package.keywords gar nix stehen haben :P


Hehe. Ich will stable UND kde 4.4.1...
_________________
I could be arguing on my own time.
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4408

PostPosted: Sun Mar 14, 2010 4:05 pm    Post subject: Reply with quote

Karsten1973 wrote:
Hehe. Ich will stable UND kde 4.4.1...

Jaja, es gibt Leute die würden sagen dass selbst wenn die kde4-Sachen im Paketmanager als stable gelistet sind, kde4 noch lange nicht stabil ist :P
Back to top
View user's profile Send private message
Karsten1973
Apprentice
Apprentice


Joined: 17 Dec 2004
Posts: 298
Location: Berlin, Germany

PostPosted: Sun Mar 14, 2010 4:12 pm    Post subject: Reply with quote

Während ich auf den Kompiliervorgang warte: Kennt jemand ein Skript mit dem man aus package.keywords und unmask Einträge löschen kann, die bereits stable sind?
_________________
I could be arguing on my own time.
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3626
Location: Germany

PostPosted: Sun Mar 14, 2010 5:19 pm    Post subject: Reply with quote

Quote:
Ah! Ich nutze folgendes System in meinen package.keywords: Ich gebe in der Regel die nötige Fassung so ein <=xxx-4.6.1
(Ich will ja zurück auf Stable, wenn es geht!)
Beachte das zZt Qt-4.6.2 Stable ist...!

ich würde ähnliches wie franzf schon erwähnt hat empfehlen,
nimm die ganzen "x11-libs/qt-*" Einträge aus der package.keywords raus!
Back to top
View user's profile Send private message
Karsten1973
Apprentice
Apprentice


Joined: 17 Dec 2004
Posts: 298
Location: Berlin, Germany

PostPosted: Sun Mar 14, 2010 5:37 pm    Post subject: Reply with quote

Josef.95 wrote:
Beachte das zZt Qt-4.6.2 Stable ist...!


Hiernach

http://packages.gentoo.org/package/x11-libs/qt

nicht. (Ich hab ein amd64-System.
_________________
I could be arguing on my own time.
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4408

PostPosted: Sun Mar 14, 2010 6:06 pm    Post subject: Reply with quote

Karsten1973 wrote:
Josef.95 wrote:
Beachte das zZt Qt-4.6.2 Stable ist...!


Hiernach

http://packages.gentoo.org/package/x11-libs/qt

nicht. (Ich hab ein amd64-System.
Hiernach schon:
http://packages.gentoo.org/package/x11-libs/qt-gui
Grund: qt ist split und sämtliche Programme haben als Abhängigkeit nur jene Gesplitteten Pakete.
x11-libs/qt (==meta-ebuild) ist nur noch da, damit Leute die alle qt rausgesplitteten Pakete haben wollen diese auch einfach installieren können.
Da dies wohl kaum jemand braucht und man die Leute davon abbringen will, blind "emerge qt" einzutippen ist das Ding per package.mask maskiert.
Back to top
View user's profile Send private message
Karsten1973
Apprentice
Apprentice


Joined: 17 Dec 2004
Posts: 298
Location: Berlin, Germany

PostPosted: Sun Mar 14, 2010 6:20 pm    Post subject: Reply with quote

D'Oh! *Facepalm*

Das ist also das nächste Projekt... das umzustellen. Zur Erklärung... auf der Kiste läufst seit 2004 oder so Gentoo. Mit neuen Platten, Mainboard, Prozessor.... immer nachkompiliert. Da sind viele alte Dinge drin, die sich nicht von alleine angepasst haben.
_________________
I could be arguing on my own time.
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3626
Location: Germany

PostPosted: Sun Mar 14, 2010 6:59 pm    Post subject: Reply with quote

Karsten1973 wrote:
D'Oh! *Facepalm*

Das ist also das nächste Projekt... das umzustellen. Zur Erklärung... auf der Kiste läufst seit 2004 oder so Gentoo. Mit neuen Platten, Mainboard, Prozessor.... immer nachkompiliert. Da sind viele alte Dinge drin, die sich nicht von alleine angepasst haben.
Ah.. Ok, verstehe, du hast da bisher noch das alte, inzwischen hart maskierte
Code:
$ eix -e qt
* x11-libs/qt
     Available versions: 
        (3)     [M]3.3.8b-r1 [M]3.3.8b-r2
        (4)     [M]4.5.3 [M](~)4.6.1 [M]4.6.2
        {cups dbus debug doc examples firebird immqt immqt-bc ipv6 kde mysql nas nis odbc opengl postgres qt3support sqlite xinerama}
     Homepage:            http://qt.nokia.com/
     Description:         The Qt toolkit is a comprehensive C++ application development framework
drauf...
Meinst du nicht das es sich anbietet das gleich jetzt mit zu korrigieren?
du bräuchtest da eigentlich nur mit
Code:
emerge -avC x11-libs/qt:4
das alte (komplett) Paket entfernen,
dann sollte bei einem normalen world oder kde Update gleich die Qt-4 Module (Split Packages) mit installiert werden.

Viel Erfolg!
Back to top
View user's profile Send private message
Karsten1973
Apprentice
Apprentice


Joined: 17 Dec 2004
Posts: 298
Location: Berlin, Germany

PostPosted: Sun Mar 14, 2010 8:11 pm    Post subject: Reply with quote

Ich fasse mal zusammen: Die Lösung lautet:
Josef.95 wrote:
Code:
emerge -avC x11-libs/qt:4


Danke!!!
_________________
I could be arguing on my own time.
Back to top
View user's profile Send private message
schachti
Advocate
Advocate


Joined: 28 Jul 2003
Posts: 3765
Location: Gifhorn, Germany

PostPosted: Mon Mar 15, 2010 5:49 am    Post subject: Reply with quote

Das hört sich so an, als ob Du mal Dein world-File ausmisten und anschliessend emerge --depclean ausführen solltest - es scheinen Pakete in Deinem world-File zu stehen, die eigentlich nur als Abhängigkeit gebraucht werden/wurden und dort gar nicht auftauchen sollten.
_________________
Never argue with an idiot. He brings you down to his level, then beats you with experience.

How-To: Daten verschlüsselt auf DVD speichern.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum